/*
	CSS Syntax

v--this its a RULE-SET--v
	selector {
		property: value;
	}

*/


/*  

	(*) Asterisk Selector - is a universal selector. It is able to select all the elements in an HTML page. 

	font-family property - allows to determine the font of the text. The Value "Courier New" becomes the default font for out elements.

	monospace - is the secondary font or the fallback font, which means if the font "Courier New" is not installed or cannot be found, we will fallback to use a font similar to "Courier New"

	font-size property - allows us to change the size of the font. font-size can also be measured not only by pixel. Other CSS measurements can be used to determine the font-size.

*/

* { 								/* each line here is a declaration */
	/* default font for all elements */
	font-family: "Courier New", monospace;
	font-size: 20px;


}

html {
	/* scroll-behavior changes the scrolling when navigating within the page */
	scroll-behavior: smooth;
}

body {
	/* background-color property changes the color of the background of an element */
	background-color: skyblue;
}

nav {
	background-color: white;
}

a:hover {
	/* selector:hover pseudo class */
	/* change the style of an element when hovered over */
	background-color: #b4d6de;
}


nav > div {
	/* display: inline-block allowed to change the display of the dic element from block ro inline block, which means this div is now inline with its siblings however still at like a block element. */
	/* float: right - we were alble to change the horizontal alignment of our element and put it to the right of our container. */
	display: inline-block;
	float: right;
}


/* type/tag selector - allows us to select elements of the type or tag */
h1	{					/* by default h1 is 32px */
	/* putting a comment is same as HTML */
	/* !important will make the property a priority */
	color: black !important;
	font-size: 2rem; /* 2 x root-element-font-size */
	text-align: center;

	/* rem - (root element) - is measurement based on the font size of the root element. Default font size 16px. The root element is the HTML tag*/
}

section {
	/* increased the height of our sections to 100% viewport height.  Viewport Height is the height of the page with the screeen we are viewing from */
	height: 100vh;
	/*text-align: center - allows us to horizontally align our text within the element.*/
	text-align: center;
}

h2 {
	font-size: 1.5rem;
}

ol {
	/*removes the list style from our list items*/
	list-style-type:  none;
}

/* id-selector allows us to select the element with a particular id. This selector is the highest priority */
h3 {
	font-size: 20px; /* even with this, it wont make any changes */
}
#zuitt-motto {			
/* In CSS, you can select the id by adding # before the name of the id */
	letter-spacing: 5px;
}

/* 

	class-selector allows to select element/elements with the same class. In CSS, we can select the class by adding period (.) before the name of the class.

	An element can have both an id and a class, however declarations for the id is given more priority over class.

 */

.offering-item {
	text-transform: uppercase;
	letter-spacing: 5px;
}

/* attribute selector - allows to select elements with the same tag and attribute

	tag[attribute] {
	
	}

 */
input[required] {
	/* 
		border-width property allows us to change the thickness of elemet's border 

		border-style property allows us to change the style of the border.

		border-color property allows us to chage the color of an element's border
	*/
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/* The witdth of the input is now 90% of its parent element's */
	width: 90%;
}

/*
	Adjacent sibling selector. This allows us to sellect the sibling elemnt directly after the first selector.

	first selector + adjacent sibling

	The selectors doesn't have to be type it could be a class, id etc.

	e.g.     #zuitt-motto + img		h3 + img	img + img

*/


h3 + img {
	/*
		height and width properties allows us to determine the height and width of an element. Unlike the height and width attributes in our HTML,in CSS, we can add more measurements instead of just pixels only.

		border-radius allows us to round the corners of an element.
	*/
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

	/*
		Descendant Selector

		allows us to select elements which are descendants of the first selector

		first-selector (ancestor) <space> second-selector (descendant)

	*/



#bootcamp-learning-list	li {
	/* 

	#075966 as a value to color: This is a hexa decimal value and it consists of the pound sign # plus 6 alphanumeric characters 

	https://htmlcolorcodes.com/color-picker/

	*/
	color: #075966;

}

/* General Sibling Selector - this will allow us to select siblings after our first selector 

	syntax: selector ~ selector

*/
h2 ~ a {
	/* Text Decoration property - will allow us to change lines included in text (ex. overline, underlines or strikethrough). By default, anchor tags have underline. */

	text-decoration: none;

}
/* 
	Child Selector

	Allows to select the child of an element.

	selector (parent) > selector (child)

 */
body > section > form > label {
	/* rgb() can be accepted as a value to properties thatt change colors. RGB values reffer to red, green, and blue. And the combination of these values from 0 to 255 determines the color. */
	color: rgb(0,0,128);
}

 form {
 	text-align: center;
 	background-color: white;
 	/* border: <> */
 	border: 2px solid black;
 	height: 240px;
 	width: 25vw;
 	/* Viewport Width is a measurement based on a percentage of the width of the screen we are viewing our page from */

 	/*position property - changes the position of an element based on a criteria.

	position: relative; - means we will move the element relative to its original position in the document.

	left property - allows us to add measurement on the left side of the element. The value % is based on the measurement of the parent element. 37.25% from the left of the parent element.
 	 */
 	position: relative;
 	left: 37.25%;
 }


button {
	color: white;
	background-color: #cf0053;
	border: 0;
	border-radius: 15px;
	position: relative;
	top: 1%;
}





















